% La fonction "OU" simule et trace un processus d'Ornstein-Uhlenbeck avec
% sigma^2=1 et lambda=1, sur l'intervalle de temps [0,8]. Le programme
% s'appuie sur la même structure que "brown1D" et "browngeom"; je ne
% commente que la partie spécifique à ce programme.
function OU
sigma2 = 1;
lambda = 1;
tmax = 8;
N = 2000;
epsilon = tmax / N;
T = epsilon * (0:N);
X = zeros(1,N+1);
% Ici je choisis de faire partir le processus d'Ornstein-Uhlenbeck sous sa
% mesure d'équilbre, que je sais être N(sigma^2/2lambda).
X(1) = sqrt(sigma2/lambda/2) * randn;
for i = 1:N
    X(i+1) = X(i) + sqrt(sigma2) * sqrt(epsilon) * randn - ...
        lambda * X(i) * epsilon;
end
plot(T,X,'LineWidth',2);
title('Processus d''Ornstein-Uhlenbeck');
return
end