% La fonction "boule4D" évalue la volume de la boule unité de dimension 4
% par la méthode de Monte-Carlo en échantillonnant sur le cube [-1,+1]^4.
function boule4D
% "N" note le nombre de simulation effectuées, ici 100000.
N = 100000;
% "S" stocke la somme des échantillonnages de l'indicatrice de la boule, en
% vue d'en calculer la moyenne.
S = 0;
for i = 1:N,
    % On tire le quadruplet de nombres aléatoires (omega_{i1}, ...,
    % omega_{i4}) de l'énoncé, appelé ici "omega".
    omega = rand(1,4);
    % On simule un point "x" uniforme sur le cube à partir de "omega".
    x = [-1,-1,-1,-1] + [2,2,2,2] .* omega;
    % On calcule l'indicatrice que "x" soit dans la boule, appelée "indic".
    indic = (sqrt(sum(x .* x)) <= 1);
    % On ajoute "indic" à la somme.
    S = S + indic;
end
% On calcule l'estimateur "I" (le produit des (b_k-a_k) est ici égal à 16).
I = 16 * S / N;
% On affiche le résultat.
disp(['Volume estimé de la boule : ',num2str(I)]);
% Le programme s'arrête.
return
