% "exdintegrale" évalue $\int_0^\infty (1+x^3)^{-1} dx$ par la méthode de
% Monte-Carlo en échantillonnant selon x la loi P de (U^{-1}-1) pour U
% uniforme sur (0,1), laquelle loi est telle que (dx/dP)(x) = (1+x)^2.
function exdintegrale
% "N" est le nombre de simulations, ici 80 000 000.
N = 80000000;
% "S" sera la somme des résultats obtenus.
S = 0;
for i = 1:N
    % On simule "x" selon la loi P.
    x = 1 / rand - 1;
    % On calcule (1 + x^3)^{-1} × dx/dP, dont l'espérance sous P sera
    % l'intégrale recherchée, et on l'ajoute à "S".
    S = S + (1 + x)^2 / (1 + x^3);
end
% On calcule l'estimateur de Monte-Carlo "m" de l'intégrale.
m = S / N;
% On affiche le résultat.
disp(['Estimateur de l''intégrale : ',num2str(m,'%.6f')]);
% Le programme s'arrête.
return
end