%% Fonction principale
% La fonction "yahtzee_spl" est une modification de la fonction "yahtzee"
% de sorte que celle-ci renvoie aussi l'intervalle de confiance à 2 sigmas.
% En outre, la version modifiée demande en argument le nombre "N" de
% simulations souhaitées. Je ne commente que les points qui diffèrent par
% rapport à "yahtzee".
function yahtzee_spl(N)
succes = 0;
for i = 1:N,
    r = troislancers;
    succes = succes + r;
end
p = succes / N;
% On évalue l'écart-type "sigma". Notez que comme ici la fonction qu'on
% simule est une indicatrice, l'écart-type s'exprime directement en
% fonction de la probabilité.
sigma = sqrt(p * (1 - p));
% "erreur" est la marge d'erreur à 2 sigmas.
erreur = 2 * sigma / sqrt(N);
% On affiche le résultat avec la marge d'erreur.
disp(['Probabilite de succès : ',num2str(p),' ± ',num2str(erreur)]);
return
end

%% Sous-routine "troislancers"
function resultat = troislancers
des = randi(6,[1,5]);
des = relancer(des);
des = relancer(des);
resultat = all(des == des(1));
return
end

%% Sous-routine "relancer"
function desrelances = relancer(des)
occurrences = zeros(1,6);
for i = 1:5,
    occurrences(des(i)) = occurrences(des(i)) + 1;
end
[~,recordman] = max(occurrences);
desrelances = des;
for i = 1:5,
    if des(i) ~= recordman
        desrelances(i) = randi([1,6]);
    end
end
return
end

